//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop

#include "Unit2.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"
TForm2 *Form2;
//---------------------------------------------------------------------------
__fastcall TForm2::TForm2(TComponent* Owner)
  : TForm(Owner),
    Series1( new TPointSeries( Chart1 ) ), Series2( new TPointSeries( Chart1 ) )
{
  Series1->ParentChart = Chart1;
  Series2->ParentChart = Chart1;
}
//---------------------------------------------------------------------------
void TForm2::Display( const std::vector<double>& xy1, const std::vector<double>& xy2 )
{
  Series1->Clear();
  Series2->Clear();

  for ( const auto& xy : xy1 )
    Series1->AddXY(xy, xy);
  for ( const auto& xy : xy2 )
    Series2->AddXY(xy, xy);
}
//---------------------------------------------------------------------------

